{% load static %}
<div class="panel panel-inverse" data-sortable-id="table-basic-7">
    <!-- begin panel-heading -->
    <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Lista de tipificaciones</h4>
    </div>
    <!-- end panel-heading -->
    <!-- begin panel-body -->
    <div class="panel-body">
        <!-- begin table-responsive -->
        <div class="table-responsive">
            <div>

                {% if custom == 'refund' or custom == 'defaulter' or custom == 'loss_of_service' or custom == 'product' %}

                    <input id="typify_custom" value={{custom}} style="display: none;">

                    <div style="display: none;">
                        <h4 class="panel-title">Categoria:</h4>
                        <select type="text" id="typify_category_query" class="form-control query">
                            <option value="ignore" selected>todos</option>
                        </select>
                    </div>

                {% else %}

                    <div class="filter_table">
                        <h4 class="panel-title">Categoria:</h4>
                        <select type="text" id="typify_category_query" class="form-control query">
                            <option value="ignore" selected>todos</option>
                        </select>
                    </div>

                {% endif %}

                <div class="filter_table">
                    <h4 class="panel-title">Ciudad:</h4>
                    <select type="text" id="typify_city_query" class="form-control query">
                        <option value="ignore" selected>todos:</option>
                        <option value="SANTIAGO">SANTIAGO:</option>
                        <option value="ARICA">ARICA:</option>
                        <option value="OTRA">OTRA:</option>
                    </select>
                </div>

                <div class="filter_table">
                    <h4 class="panel-title">Gestión:</h4>
                    <select type="text" id="typify_management_query" class="form-control query">
                        <option value="ignore" selected>todos:</option>
                        <option value="NINGÚNA">NINGÚNA</option>
                        <option value="VISITA TÉCNICA">VISITA TÉCNICA</option>
                        <option value="INSTALACIÓN">INSTALACIÓN</option>
                        <option value="RETIRO DE EQUIPOS">RETIRO DE EQUIPOS</option>
                        <option value="CONFIGURACIÓN ONLINE">CONFIGURACIÓN ONLINE</option>
                    </select>
                </div>

                <div class="filter_table">
                    <h4 class="panel-title">Urgencia:</h4>
                    <select type="text" id="typify_urgency_query" class="form-control query">
                        <option value="ignore" selected>todos:</option>
                        <option value="SIN URGENCIA">SIN URGENCIA:</option>
                        <option value="NORMAL">NORMAL:</option>
                        <option value="CRITICO">CRITICO:</option>
                        <option value="RECLAMO">RECLAMO:</option>
                    </select>
                </div>
                <div class="filter_table">
                    <h4 class="panel-title">Cliente:</h4>
                    <select type="text" id="typify_customer_query" class="form-control query">
                        <option value="ignore" selected>todos:</option>
                        <option value="Cliente">Es cliente:</option>
                        <option value="No cliente">No cliente:</option>
                        <option value="Prospecto">Prospecto:</option>
                        <option value="Nuevo cliente">Nuevo cliente:</option>
                    </select>
                </div>

                {% if custom == 'me' %}

                    <input id="typify_custom" value={{custom}} style="display: none;">

                    <div  style="display: none;">
                        <h4 class="panel-title">Agente:</h4>
                        <select type="text" id="typify_agent_query" class="form-control query">
                            <option value="ignore" selected>ignore</option>
                        </select>
                    </div>

                {% else %}

                    <div class="filter_table">
                        <h4 class="panel-title">Agente:</h4>
                        <select type="text" id="typify_agent_query" class="form-control query">
                            <option value="ignore" selected>todos</option>
                        </select>
                    </div>

                {% endif %}

                <div class="filter_table">
                    <h4 class="panel-title">Motivo de descuento:</h4>
                    <select type="text" id="typify_discount_reason_query" class="form-control query">
                        <option value="ignore" selected>todos:</option>
                        <option value="NINGUNO">NINGUNO:</option>
                        <option value="CAIDA MASIVA">CAIDA MASIVA:</option>
                        <option value="PROBLEMAS CON EL SERVICIO">PROBLEMAS CON EL SERVICIO:</option>
                        <option value="INCUMPLIMIENTO TECNICO">INCUMPLIMIENTO TECNICO:</option>
                        <option value="ERROR DE FINANZAS">ERROR DE FINANZAS:</option>
                        <option value="RETENCION">RETENCION:</option>
                        <option value="MALA INFORMACION">MALA INFORMACION:</option>
                    </select>
                </div>

                <div class="filter_table">
                    <h4 class="panel-title">Área responsable descuento:</h4>
                    <select type="text" id="typify_discount_responsable_area_query" class="form-control query">
                        <option value="ignore" selected>todos:</option>
                        <option value="NINGUNO">NINGUNO:</option>
                        <option value="TECNICA">TECNICA:</option>
                        <option value="SOPORTE ONLINE">SOPORTE ONLINE:</option>
                        <option value="CX">CX:</option>
                        <option value="PRODUCTO">PRODUCTO:</option>
                        <option value="FINANZAS">FINANZAS:</option>
                        <option value="VENTAS">VENTAS:</option>
                    </select>
                </div>

                {% if custom == 'tracing' or custom == 'call_after' or custom == 'new_service' or custom == 'retention' or custom == 'opened' or custom == 'refund' or custom == 'defaulter' or custom == 'loss_of_service' or custom == 'product' or custom == 'create_me' %}

                    <input id="typify_custom" value={{custom}} style="display: none;">

                    <div  style="display: none;">
                        <h4 class="panel-title">Estado:</h4>
                        <select type="text" id="typify_status_query" class="form-control query" name="typify_status_query">
                            <option value="ignore" selected></option>
                        </select>
                    </div>

                {% else %}

                    <div class="filter_table">
                        <h4 class="panel-title">Estado:</h4>
                        <select type="text" id="typify_status_query" class="form-control query" name="typify_status_query">
                            <option value="ignore" selected>todos</option>
                            <option value="ABIERTO" >ABIERTO</option>
                            <option value="ESPERANDO RESPUESTA">ESPERANDO RESPUESTA</option>
                            <option value="CERRADO">CERRADO</option>
                            <option value="DAR SEGUIMIENTO">DAR SEGUIMIENTO</option>
                            <option value="LLAMAR LUEGO">LLAMAR LUEGO</option>
                        </select>
                    </div>

                {% endif %}

                {% if custom == 'last_hours'  %}

                    <input id="typify_custom" value={{custom}} style="display: none;">

                {% else %}

                    <div class=" col-md-4 filter_table">
                        <h4 class="panel-title">Fecha inicio:</h4>
                        <div class="col-xs-6">
                            <input type="text" value="" class="form-control query" id="typify_datetimeinit_query" placeholder="Tiempo mínima">
                        </div>
                    </div>

                    <div class=" col-md-4 filter_table">
                        <h4 class="panel-title">Fecha fin:</h4>
                        <div class="col-xs-6">
                            <input type="text" value="" class="form-control query" id="typify_datetimeend_query" placeholder="Tiempo máximo">
                        </div>
                    </div>
                {% endif %}

                {% if not custom %}

                    <input id="typify_custom" value=ignore style="display: none;">

                {% endif %}

                <div class=" col-md-4 filter_table">

                    <div class="col-xs-6">

                        <button type="button" id="masiveChange" class="btn btn-success">Cambios Masivos</button>

                    </div>
                </div>

            </div>
            <div>

                <form id="download_data">

                    <div class=" col-md-4 filter_table">
                        <h4 class="panel-title">Correo:</h4>
                        <div class="col-xs-6">
                            <input type="email" required class="form-control query" id="email_download_data" placeholder="iris@tipificaciones.com">
                        </div>
                    </div>

                    <button id="button_download_data" class="btn fa fa-download" style="margin-top: 10px; scroll-margin-bottom: 20px;" type="button"></button>

                </form>

            </div>

            <table class="table table-striped table-bordered" id="table-typify">
                <thead>
                    <tr>
                        <th>SLA</th>
                        <th>Fecha</th>
                        <th>ID</th>
                        <th>Categoría</th>
                        <th>Cliente</th>
                        <th>Servicios</th>
                        <th>Liveagent</th>
                        <th>Canal</th>
                        <th>Tipo</th>
                        <th>Estado</th>
                        <th>Urgencía</th>
                        <th>Ciudad</th>
                        <th>Gestión</th>
                    </tr>
                </thead>
            </table>
        </div>
        <!-- end table-responsive -->
    </div>
</div>
<div style="display: none;">
<div class="panel panel-inverse" data-sortable-id="table-basic-7">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
            <div class="panel-heading-btn">
                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            </div>
            <h4 class="panel-title">Recontacto</h4>
        </div>
        <!-- end panel-heading -->
        
        <div class="panel-body">
                <div class="row">
                    
                    <div class="col-md-8 offset-md-2">
                        <form id="new_contact_form">
                            <div class="filter_table">
                                <h4 class="panel-title">Canal:</h4>
                                <select name="channel" type="text" id="new_contact_channel" class="form-control">
                                        <option></option>
                                        <option value="LLAMADA">LLAMADA</option>
                                        <option value="CORREO">CORREO</option>
                                        <option value="WHATSAPP">WHATSAPP</option>
                                        <option value="REDES">REDES</option>
                                        <option value="CHAT">CHAT</option>
                                </select>
                            </div>
            
                            <div class="filter_table">
                                <h4 class="panel-title">Tipificación:</h4>
                                <select type="text" name="typify_id" id="new_contact_typify" class="form-control">
                                    
                                </select>
                            </div>
                            <div class="email-content p-t-15">
                                    <textarea name="commentary" id="new_contact_commentary" class="textarea form-control" rows="10"></textarea>
                            </div>
                            <div class="btn-toolbar sw-toolbar sw-toolbar-bottom justify-content-end">
                                <div class="btn-group mr-2 sw-btn-group" role="group">
                                    <button style="background: #348fe2;" class="btn btn-secondary button_change" type="submit">Crear</button>
                                </div>
                            </div>
                        </form>
                        
                    </div>
                    <!-- end col-8 -->
                </div>

        </div>
</div>
</div>
